class Angestellte extends Person
{
	private double gehalt;
	private String beruf;
	private static int count=0;
	
	Angestellte(String name, String vorname, double gehalt, String beruf)
	{
		super(name,vorname,gehalt);
		if (gehalt>0)
		{
			this.gehalt=gehalt;
			this.beruf=beruf;
			count++;
		}	
		else throw new IllegalArgumentException("Ein Gehalt kann in dieser Firma nur über 0 liegen!");
		
	}
	public void setGehalt(double gehalt)
	{
		if (gehalt>0)
			this.gehalt=gehalt;
		else throw new IllegalArgumentException("Ein Gehalt kann in dieser Firma nur über 0 liegen!");
	}
	public void setBeruf(String beruf)
	{
		this.beruf=beruf;
	}
	public double getGehalt()
	{
		return gehalt;
	}
	public String getBeruf()
	{
		return beruf;
	}		
	public static int getCount()
	{
		return count;
	}
	
	// Überschreiben der equals und toString methoden
	public boolean equals(Object obj)
	{
		 Angestellte a=null;
		 if (obj instanceof Angestellte)
		 	a=(Angestellte)obj;
		 else
		 	return false;
		 if (this.getName().equals(a.getName())&&
		 		this.getVorname().equals(a.getVorname())&&this.beruf.equals(a.beruf)&&(this.gehalt == a.gehalt))	
		 	return true;
		 else
		 	return false;	
	}
	public String toString()
	{
		return ("Name: "+this.getName()+"; Vorname: "+this.getVorname()+"; Beruf: "+this.beruf+"; Gehalt: "+this.gehalt);
	}		 			
}	